Contribute and share :)

1. Fork this project
- Create a new feature/patch branch
- Code code code
- run `grunt` to ensure the uglify, css minify, jshint, csslint and jscs pass
- Write a good commit message with some guidelines here:
	1. [5 useful tips for better commit message](http://robots.thoughtbot.com/5-useful-tips-for-a-better-commit-message)
	- [angularjs commit message guideline](https://github.com/angular/angular.js/blob/master/CONTRIBUTING.md#-git-commit-guidelines) with format `<type>(<scope>): <subject>`
  - use the present tense ("Add feature" not "Added feature")
  - use the imperative mood ("Move cursor to..." not "Moves cursor to...")
  - limit the first line to 72 characters or less
  - reference issues and pull requests liberally
  - consider starting the commit message with an applicable emoji [as inspired by atom guidelines](https://github.com/atom/atom/blob/master/CONTRIBUTING.md#git-commit-messages):
      - :art: `:art:` when improving the `format` of the code
      - :racehorse: `:racehorse:` when improving `performance`
      - :non-potable_water: `:non-potable_water:` when plugging `memory` leaks
      - :memo: `:memo:` when writing `docs`
      - :penguin: `:penguin:` when fixing something on `Linux`
      - :apple: `:apple:` when fixing something on `Mac OS`
      - :checkered_flag: `:checkered_flag:` when fixing something on `Windows`
      - :bug: `:bug:` when fixing a `bug`
      - :fire: `:fire:` when removing code or files
      - :green_heart: `:green_heart:` when fixing the `CI` build
      - :white_check_mark: `:white_check_mark:` when adding tests
      - :lock: `:lock:` when dealing with `security`
      - :arrow_up: `:arrow_up:` when upgrading `dependencies`
      - :arrow_down: `:arrow_down:` when downgrading `dependencies`
      - :shirt: `:shirt:` when removing `linter` warnings
- [Pull request](https://help.github.com/articles/using-pull-requests) using the new feature/patch branch
- Ensure the [Travis build](https://travis-ci.org/webuildsg/webuild) passes
